// 友情链接
import request from '@/utils/request'

// 获取并搜索友情链接
export const getLinkList = (params) => {
    return request({
        url: '/link/getLinkList',
        method: 'get',
        params
    })
}

// 获取友情链接详情
export const getLinkInfo = (params) => {
    return request({
        url: '/link/getLinkInfo',
        method: 'get',
        params
    })
}

// 创建友情链接
export const createLink = (data) => {
    return request({
        url: '/link/createLink',
        method: 'post',
        data
    })
}

// 删除友情链接
export const delLink = (data) => {
    return request({
        url: '/link/delLink',
        method: 'post',
        data
    })
}


// 修改友情链接
export const updateLink = (data) => {
    return request({
        url: '/link/updateLink',
        method: 'post',
        data
    })
}